Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-69603

Fail install when incorrect component found

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 3.8.4
    • Fix Version/s: None
    • Component/s: Installation
    • Labels:
      None
    • Affected Branches:
      MOODLE_38_STABLE

      Description

      Where a plugin is in the wrong place and install_database.php is run a warning message is displayed almost immediately, e.g. "Plugin atto_htmlplus does not declare valid $plugin->component in its version.php.". However the installation doesn't fail at this point, but much later in the process when the install of the plugin is attempted.

      It would be better if the process failed immediately rather than attempting an install that it knows is going to fail.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            maherne Michael Aherne
            Participants:
            Component watchers:
            Matteo Scaramuccia, Andrew Lyons, Dongsheng Cai, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated: